import java.util.Scanner;

/*Andres Mazon Arce
 B14017*/

public class Examen01
{
  public static void main(String args[])
  {
    Scanner teclado = new Scanner(System.in);
    
    System.out.println("LED number display");
    long numero=1;
    
    while (numero!=0)
    {
      System.out.println("Numero a mostrar [0=Salir]:");
      numero=teclado.nextLong();
      
      
      System.out.println("Factor de aumento(x):");
      int factor=teclado.nextInt();
      
      long millar = (numero/1000);
      long centenas = (numero/10)/10%10;
      long decenas=(numero/10)%10;
      long unidades =(numero%10);
      
         
      {
        if (millar==1)
        {
          for ( int fila = 1; fila <= factor*5; ++fila )  //ciclo para el uno
          {
            for ( int columna = 1; columna <= factor; ++columna )
              System.out.print("#");
            
            System.out.println(); 
          }
        }
        System.out.println();
        
        if (millar==2)   
        {
          for ( int fila = 1; fila <= factor; ++fila )  //ciclo para parte de arriba del dos
          {
            for ( int columna = 1; columna <= 3*factor; ++columna )
              System.out.print("#");
            
            System.out.println(); 
          }
          
          for (int fila =1; fila<=(factor*5)-2*factor; ++fila) //ciclo para segunda parte del dos
            
          {
            for (int sinrelleno=1; sinrelleno<=factor; ++sinrelleno)
            {  
              if(sinrelleno<=factor) 
                System.out.print("#");
              
              if (sinrelleno>=1&&sinrelleno!=factor)
                System.out.print(" ");
              if (sinrelleno>=factor*3)
                System.out.print("#");
            }  
            System.out.println();
            
          }
          
          
          for ( int fila = 1; fila <= factor; ++fila )  //ciclo para parte del medio del dos
          {
            for ( int columna = 1; columna <=3*factor; ++columna )
              System.out.print("#");
            
            System.out.println(); 
          }
          
          for (int fila =1; fila<=(factor*5)-2*factor; ++fila) //ciclo para cuarta parte del dos
          {
            for (int sinrelleno=1; sinrelleno<=factor; ++sinrelleno)
            {  
              if(sinrelleno<=factor) 
                System.out.print("#");
              
              if (sinrelleno>=1&&sinrelleno!=factor)
                System.out.print(" ");
              if (sinrelleno>=factor*3)
                System.out.print("#");
            }  
            System.out.println();
            
          }
          
          for ( int fila = 1; fila <= factor; ++fila )  //ciclo para parte de abajo del dos
          {
            for ( int columna = 1; columna <= 3*factor; ++columna )
              System.out.print("#");
            
            System.out.println(); 
          }
          
        }
        System.out.println();
        
      }
      
      
      if (centenas==0)   
      {
        for ( int fila = 1; fila <= factor; ++fila )  //ciclo para parte de arriba del cero
        {
          for ( int columna = 1; columna <= 3*factor; ++columna )
            System.out.print("#");
          
          System.out.println(); 
        }
        
        for (int fila =1; fila<=(factor*5)-2*factor; ++fila) //ciclo para parte del medio del cero
          
        {
          for (int sinrelleno=1; sinrelleno<=factor; ++sinrelleno)
          {  
            if(sinrelleno<=factor) 
              System.out.print("#");
            
            if (sinrelleno>=1&&sinrelleno!=factor)
              System.out.print(" ");
            if (sinrelleno>=factor*3)
              System.out.print("#");
          }  
          System.out.println();
          
        }
        
        
        
        
        for ( int fila = 1; fila <= factor; ++fila )  //ciclo para parte de abajo del cero
        {
          for ( int columna = 1; columna <= 3*factor; ++columna )
            System.out.print("#");
          
          System.out.println(); 
        }
        
      }
      
      System.out.println();
      
      if (centenas==1)
      {
        for ( int fila = 1; fila <= factor*5; ++fila )  //ciclo para el uno
        {
          for ( int columna = 1; columna <= factor; ++columna )
            System.out.print("#");
          
          System.out.println(); 
        }
      }
      System.out.println();
      
      if (centenas==2)   
      {
        for ( int fila = 1; fila <= factor; ++fila )  //ciclo para parte de arriba del dos
        {
          for ( int columna = 1; columna <= 3*factor; ++columna )
            System.out.print("#");
          
          System.out.println(); 
        }
        
        for (int fila =1; fila<=(factor*5)-2*factor; ++fila) //ciclo para segunda parte del dos
          
        {
          for (int sinrelleno=1; sinrelleno<=factor; ++sinrelleno)
          {  
            if(sinrelleno<=factor) 
              System.out.print("#");
            
            if (sinrelleno>=1&&sinrelleno!=factor)
              System.out.print(" ");
            if (sinrelleno>=factor*3)
              System.out.print("#");
          }  
          System.out.println();
          
        }
        
        
        for ( int fila = 1; fila <= factor; ++fila )  //ciclo para parte del medio del dos
        {
          for ( int columna = 1; columna <=3*factor; ++columna )
            System.out.print("#");
          
          System.out.println(); 
        }
        
        for (int fila =1; fila<=(factor*5)-2*factor; ++fila) //ciclo para cuarta parte del dos
        {
          for (int sinrelleno=1; sinrelleno<=factor; ++sinrelleno)
          {  
            if(sinrelleno<=factor) 
              System.out.print("#");
            
            if (sinrelleno>=1&&sinrelleno!=factor)
              System.out.print(" ");
            if (sinrelleno>=factor*3)
              System.out.print("#");
          }  
          System.out.println();
          
        }
        
        for ( int fila = 1; fila <= factor; ++fila )  //ciclo para parte de abajo del dos
        {
          for ( int columna = 1; columna <= 3*factor; ++columna )
            System.out.print("#");
          
          System.out.println(); 
        }
        
      }
      System.out.println();
    
    
    if (decenas==0)   
      {
        for ( int fila = 1; fila <= factor; ++fila )  //ciclo para parte de arriba del cero
        {
          for ( int columna = 1; columna <= 3*factor; ++columna )
            System.out.print("#");
          
          System.out.println(); 
        }
        
        for (int fila =1; fila<=(factor*5)-2*factor; ++fila) //ciclo para parte del medio del cero
          
        {
          for (int sinrelleno=1; sinrelleno<=factor; ++sinrelleno)
          {  
            if(sinrelleno<=factor) 
              System.out.print("#");
            
            if (sinrelleno>=1&&sinrelleno!=factor)
              System.out.print(" ");
            if (sinrelleno>=factor*3)
              System.out.print("#");
          }  
          System.out.println();
          
        }
        
        
        
        
        for ( int fila = 1; fila <= factor; ++fila )  //ciclo para parte de abajo del cero
        {
          for ( int columna = 1; columna <= 3*factor; ++columna )
            System.out.print("#");
          
          System.out.println(); 
        }
        
      }
      
      System.out.println();
      
      if (decenas==1)
      {
        for ( int fila = 1; fila <= factor*5; ++fila )  //ciclo para el uno
        {
          for ( int columna = 1; columna <= factor; ++columna )
            System.out.print("#");
          
          System.out.println(); 
        }
      }
      System.out.println();
      
      if (decenas==2)   
      {
        for ( int fila = 1; fila <= factor; ++fila )  //ciclo para parte de arriba del dos
        {
          for ( int columna = 1; columna <= 3*factor; ++columna )
            System.out.print("#");
          
          System.out.println(); 
        }
        
        for (int fila =1; fila<=(factor*5)-2*factor; ++fila) //ciclo para segunda parte del dos
          
        {
          for (int sinrelleno=1; sinrelleno<=factor; ++sinrelleno)
          {  
            if(sinrelleno<=factor) 
              System.out.print("#");
            
            if (sinrelleno>=1&&sinrelleno!=factor)
              System.out.print(" ");
            if (sinrelleno>=factor*3)
              System.out.print("#");
          }  
          System.out.println();
          
        }
        
        
        for ( int fila = 1; fila <= factor; ++fila )  //ciclo para parte del medio del dos
        {
          for ( int columna = 1; columna <=3*factor; ++columna )
            System.out.print("#");
          
          System.out.println(); 
        }
        
        for (int fila =1; fila<=(factor*5)-2*factor; ++fila) //ciclo para cuarta parte del dos
        {
          for (int sinrelleno=1; sinrelleno<=factor; ++sinrelleno)
          {  
            if(sinrelleno<=factor) 
              System.out.print("#");
            
            if (sinrelleno>=1&&sinrelleno!=factor)
              System.out.print(" ");
            if (sinrelleno>=factor*3)
              System.out.print("#");
          }  
          System.out.println();
          
        }
        
        for ( int fila = 1; fila <= factor; ++fila )  //ciclo para parte de abajo del dos
        {
          for ( int columna = 1; columna <= 3*factor; ++columna )
            System.out.print("#");
          
          System.out.println(); 
        }
        
      }
      System.out.println();
    
    
  if (unidades==0)   
      {
        for ( int fila = 1; fila <= factor; ++fila )  //ciclo para parte de arriba del cero
        {
          for ( int columna = 1; columna <= 3*factor; ++columna )
            System.out.print("#");
          
          System.out.println(); 
        }
        
        for (int fila =1; fila<=(factor*5)-2*factor; ++fila) //ciclo para parte del medio del cero
          
        {
          for (int sinrelleno=1; sinrelleno<=factor; ++sinrelleno)
          {  
            if(sinrelleno<=factor) 
              System.out.print("#");
            
            if (sinrelleno>=1&&sinrelleno!=factor)
              System.out.print(" ");
            if (sinrelleno>=factor*3)
              System.out.print("#");
          }  
          System.out.println();
          
        }
        
        
        
        
        for ( int fila = 1; fila <= factor; ++fila )  //ciclo para parte de abajo del cero
        {
          for ( int columna = 1; columna <= 3*factor; ++columna )
            System.out.print("#");
          
          System.out.println(); 
        }
        
      }
      
      System.out.println();
      
      if (unidades==1)
      {
        for ( int fila = 1; fila <= factor*5; ++fila )  //ciclo para el uno
        {
          for ( int columna = 1; columna <= factor; ++columna )
            System.out.print("#");
          
          System.out.println(); 
        }
      }
      System.out.println();
      
      if (unidades==2)   
      {
        for ( int fila = 1; fila <= factor; ++fila )  //ciclo para parte de arriba del dos
        {
          for ( int columna = 1; columna <= 3*factor; ++columna )
            System.out.print("#");
          
          System.out.println(); 
        }
        
        for (int fila =1; fila<=(factor*5)-2*factor; ++fila) //ciclo para segunda parte del dos
          
        {
          for (int sinrelleno=1; sinrelleno<=factor; ++sinrelleno)
          {  
            if(sinrelleno<=factor) 
              System.out.print("#");
            
            if (sinrelleno>=1&&sinrelleno!=factor)
              System.out.print(" ");
            if (sinrelleno>=factor*3)
              System.out.print("#");
          }  
          System.out.println();
          
        }
        
        
        for ( int fila = 1; fila <= factor; ++fila )  //ciclo para parte del medio del dos
        {
          for ( int columna = 1; columna <=3*factor; ++columna )
            System.out.print("#");
          
          System.out.println(); 
        }
        
        for (int fila =1; fila<=(factor*5)-2*factor; ++fila) //ciclo para cuarta parte del dos
        {
          for (int sinrelleno=1; sinrelleno<=factor; ++sinrelleno)
          {  
            if(sinrelleno<=factor) 
              System.out.print("#");
            
            if (sinrelleno>=1&&sinrelleno!=factor)
              System.out.print(" ");
            if (sinrelleno>=factor*3)
              System.out.print("#");
          }  
          System.out.println();
          
        }
        
        for ( int fila = 1; fila <= factor; ++fila )  //ciclo para parte de abajo del dos
        {
          for ( int columna = 1; columna <= 3*factor; ++columna )
            System.out.print("#");
          
          System.out.println(); 
        }
        
      }
      System.out.println();
    
    
  }    
}
} 
  
  
  
